Index: trunk/info/info/alkisn/alkisinlayausk.php
===================================================================
--- trunk/info/info/alkisn/alkisinlayausk.php	(revision 389)
+++ trunk/info/info/alkisn/alkisinlayausk.php	(revision 398)
@@ -15,4 +15,5 @@
 	2017-06-08 Validierung Eingabeparameter, Feinkorrekturen
 	2017-10-09 Sauber filtern auf endet IS NULL
+	2017-12-20 Fehlerkorrektur: Link StraÃe ohne gml_id, Bessere Title fÃŒr Links, Icon an Lage.
 */
 session_start();
@@ -125,5 +126,5 @@
 pg_free_result($res);
 
-// Lage MIT HausNr (Adresse)
+// Lage  M I T  HausNr (Adresse)
 $sql ="SELECT DISTINCT s.gml_id AS kgml, l.gml_id, s.bezeichnung, l.hausnummer 
 FROM ax_flurstueck f JOIN ax_lagebezeichnungmithausnummer l ON l.gml_id=ANY(f.weistauf)
@@ -142,15 +143,26 @@
 $kgmlalt='';
 while($row = pg_fetch_array($res)) {
-	$sname = htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8"); // Str.-Name
-	echo "\n<tr>\n\t\n\t<td class='lr'>".$sname."&nbsp;".$row["hausnummer"]."</td>"
-	."\n\t<td>\n\t\t<p class='nwlink noprint'>";
+	$sname=htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8"); // Str.-Name
+	if (substr($sname, strlen($sname) -3, 3) == 'weg') { // Versuch fuer korrekten Satzbau
+		$slink=" am ".$sname;
+	} else {
+		$slink=" an der ".$sname;
+	}
+	$hsnr=$row["hausnummer"];
+
+	// linke Spalte
+	echo "\n<tr>\n\t\n\t<td class='lr'><img src='ico/Lage_mit_Haus.png' width='16' height='16' alt='MIT'>&nbsp;".$sname."&nbsp;".$hsnr."</td>";
+
+	// rechte Spalte
+	echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
 	$kgml=$row["kgml"]; // Wiederholung vermeiden
+
 	if ($kgml != $kgmlalt) { // NEUE Strasse vor Lage
 		$kgmlalt=$kgml; // Katalog GML-ID
-		echo "\n\t\t\t<a title='Flurst&uuml;cke an der Stra&szlig;e' "
-		."href='javascript:imFenster(\"alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$row["kgml"]."\")'>Stra&szlig;e "
+		echo "\n\t\t\t<a title='Flurst&uuml;cke mit oder ohne Hausnummer".$slink."' "
+		."href='javascript:imFenster(\"alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$kgml."\")'>Stra&szlig;e "
 		."<img src='ico/Strassen.png' width='16' height='16' alt='STRA'></a>";
 	}
-		echo "\n\t\t\t<a title='Lagebezeichnung mit Hausnummer' "
+	echo "\n\t\t\t<a title='Flurst&uuml;cke und Geb&auml;ude mit Hausnummer ".$hsnr."' "
 		."href='javascript:imFenster(\"alkislage.php?gkz=".$gkz."&amp;ltyp=m&amp;gmlid=".$row["gml_id"]."\")'>Lage "
 		."<img src='ico/Lage_mit_Haus.png' width='16' height='16' alt='HAUS'></a>&nbsp;"
@@ -159,44 +171,64 @@
 }
 pg_free_result($res);
-if ($j == 0) { // keine HsNr gefunden
-	// Lage OHNE HausNr
-	$sql="SELECT DISTINCT s.gml_id AS kgml, l.gml_id, s.bezeichnung, l.unverschluesselt "
+
+// Lage  O H N E   HausNr
+$sql="SELECT DISTINCT s.gml_id AS kgml, l.gml_id, s.bezeichnung, l.unverschluesselt "
 	."FROM ax_flurstueck f JOIN ax_lagebezeichnungohnehausnummer l ON l.gml_id=ANY(f.zeigtauf) "
 	."LEFT JOIN ax_lagebezeichnungkatalogeintrag s ON l.kreis=s.kreis AND l.gemeinde=s.gemeinde AND l.lage=s.lage "
 	."WHERE f.gml_id= $1 AND f.endet IS NULL AND l.endet IS NULL AND s.endet IS NULL ORDER BY s.bezeichnung;";
 
-	$v=array($gmlid);
-	$res=pg_prepare("", $sql);
-	$res=pg_execute("", $v);
-	if (!$res) {
-		echo "\n<p class='err'>Fehler bei Lagebezeichnung ohne Hausnummer.</p>";
-		if ($debug > 2) {echo "\n<p class='err'>SQL=<br>".htmlentities($sql, ENT_QUOTES, "UTF-8")."<br>$1 = gml_id = '".$gmlid."'</p>";}
-	}
-	while($row = pg_fetch_array($res)) {
-		$sname =htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8"); // Str.-Name
-		$gewann=htmlentities($row["unverschluesselt"], ENT_QUOTES, "UTF-8");
-		echo "\n<tr>";
-		if ($sname != "") { // Typ=Strasse
-			echo "\n\t<td class='lr' title='An Stra&szlig;e aber ohne Hausnummer'>".$sname."&nbsp;</td>";
-			$ico="Lage_an_Strasse.png";
-		} else {
-			echo "\n\t<td class='lr' title='Gewanne'>".$gewann."&nbsp;</td>";
-			$ico="Lage_Gewanne.png";
-		}
-		echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+$v=array($gmlid);
+$res=pg_prepare("", $sql);
+$res=pg_execute("", $v);
+if (!$res) {
+	echo "\n<p class='err'>Fehler bei Lagebezeichnung ohne Hausnummer.</p>";
+	if ($debug > 2) {echo "\n<p class='err'>SQL=<br>".htmlentities($sql, ENT_QUOTES, "UTF-8")."<br>$1 = gml_id = '".$gmlid."'</p>";}
+}
+$kgmlalt='';
+while($row = pg_fetch_array($res)) {
+	$sname=htmlentities($row["bezeichnung"], ENT_QUOTES, "UTF-8"); // Str.-Name
+
+	if (substr($sname, strlen($sname) -3, 3) == 'weg') { // Versuch fuer korrekten Satzbau
+		$slink=" am ".$sname;
+	} else {
+		$slink=" an der ".$sname;
+	}
+
+
+	$gewann=htmlentities($row["unverschluesselt"], ENT_QUOTES, "UTF-8");
+	echo "\n<tr>";
+
+	// linke Spalte
+	if ($sname != "") { // Typ=Strasse
+		$ico="Lage_an_Strasse.png";
+		echo "\n\t<td class='lr' title='An Stra&szlig;e aber ohne Hausnummer'><img src='ico/".$ico."' width='16' height='16' alt='OHNE'> ".$sname."&nbsp;</td>";
+	} else {
+		$ico="Lage_Gewanne.png";
+		echo "\n\t<td class='lr' title='Gewanne'><img src='ico/".$ico."' width='16' height='16' alt='Gewanne'> ".$gewann."&nbsp;</td>";
+	}
+
+	// rechte Spalte
+	echo "\n\t<td>\n\t\t<p class='nwlink noprint'>";
+	if ($sname != "") { // Typ=Strasse
 		$kgml=$row["kgml"]; // Wiederholung vermeiden
 		if ($kgml != $kgmlalt) { // NEUE Strasse vor Lage-O
 			$kgmlalt=$kgml; // Katalog GML-ID
-			echo "\n\t\t\t<a title='Flurst&uuml;cke an der Stra&szlig;e' "
-			."href='javascript:imFenster(\"alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$row["kgml"]."\")'>Stra&szlig;e "
+			echo "\n\t\t\t<a class='noprint' title='Flurst&uuml;cke mit oder ohne Hausnummer".$slink."' "
+			."href='javascript:imFenster(\"alkisstrasse.php?gkz=".$gkz."&amp;gmlid=".$kgml."\")'>Stra&szlig;e "
 			."<img src='ico/Strassen.png' width='16' height='16' alt='STRA'></a>";
 		}
-		echo "\n\t\t\t<a title='Lagebezeichnung ohne Hausnummer' "
+		echo "\n\t\t\t<a class='noprint' title='Flurst&uuml;cke ohne Hausnummer".$slink."' "
 		."href='javascript:imFenster(\"alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$row["gml_id"]."\")'>Lage "
 		."<img src='ico/".$ico."' width='16' height='16' alt='OHNE'></a>&nbsp;"
 		."\n\t\t</p>\n\t</td>\n</tr>";
-	}
-	pg_free_result($res);
-}
+	} else { // Typ Gewanne
+		echo "\n\t\t\t<a title='Flurst&uuml;cke mit dieser Gewanne als Lagebezeichnung' "
+		."href='javascript:imFenster(\"alkislage.php?gkz=".$gkz."&amp;ltyp=o&amp;gmlid=".$row["gml_id"]."\")'>Gewanne "
+		."<img src='ico/".$ico."' width='16' height='16' alt='Gewanne'></a>&nbsp;"
+		."\n\t\t</p>\n\t</td>\n</tr>";
+	}
+}
+pg_free_result($res);
+
 echo "\n</table>";
 
@@ -205,5 +237,5 @@
 
 // *** G R U N D B U C H ***
-echo "\n<h2><img src='ico/Grundbuch_zu.png' width='16' height='16' alt=''> Grundbuch</h2>";
+echo "\n<h2><img src='ico/Grundbuch_zu.png' width='16' height='16' alt='GB'> Grundbuch</h2>";
 
 // FS >istgebucht> GS >istbestandteilvon> GB.
@@ -228,5 +260,5 @@
 while($rowg = pg_fetch_array($resg)) {
 	$beznam=$rowg["bezeichnung"];
-	echo "\n<hr>\n<table class='outer'>\n<tr>\n<td>";
+	echo "\n<table class='outer'>\n<tr>\n<td>";
 		$blattkey=$rowg["blattart"]; // Key
 		$blattart=$rowg["blattartv"]; // Value
